Bug 1468889 - mouse pointer/focusing issues with wine 2.11.1
mouse pointer/focusing issues with wine 2.11.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-09 08:34 EDT by customercare
Modified: 2017-12-12 05:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:24:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2017-07-09 08:34:21 EDT
Description of problem:

Since wine got updated to 2.11-1 this morning, i had trouble with the mouse pointer in "Runes of Magic" . 

The pointer got invisible/stuck/both randomly when moving it on and off the monitor ( dual monitor here ) where ROM was running, wenn moving the char around  with WASD controls. This was distubring and made "dangerouse" gameplay next to impossible, i.o.w. i couldn't risk dangerouse actions in game, because it was uncertain if i could control the game while doing it.

After downgrading, it works again flawless ( said that in context with ROM, means something :D )

Version-Release number of selected component (if applicable):

2.11.1-fc25

List of packages installed - Action taken to revert wine back to 2.10 :

  Löschen          : wine-2.11-1.fc25.i686                                                                 38/74 
  Löschen          : wine-2.11-1.fc25.i686                                                                 39/74 
  Löschen          : wine-fonts-2.11-1.fc25.noarch                                                         40/74 
  Löschen          : wine-desktop-2.11-1.fc25.noarch                                                       41/74 
  Löschen          : wine-pulseaudio-2.11-1.fc25.i686                                                      42/74 
  Löschen          : wine-alsa-2.11-1.fc25.i686                                                            43/74 
  Löschen          : wine-capi-2.11-1.fc25.i686                                                            44/74 
  Löschen          : wine-cms-2.11-1.fc25.i686                                                             45/74 
  Löschen          : wine-ldap-2.11-1.fc25.i686                                                            46/74 
  Löschen          : wine-openal-2.11-1.fc25.i686                                                          47/74 
  Löschen          : wine-opencl-2.11-1.fc25.i686                                                          48/74 
  Löschen          : wine-twain-2.11-1.fc25.i686                                                           49/74 
  Löschen          : wine-core-2.11-1.fc25.i686                                                            50/74 
  Löschen          : wine-common-2.11-1.fc25.noarch                                                        51/74 
  Löschen          : wine-times-new-roman-fonts-2.11-1.fc25.noarch                                         52/74 
  Löschen          : wine-tahoma-fonts-system-2.11-1.fc25.noarch                                           53/74 
  Löschen          : wine-pulseaudio-2.11-1.fc25.i686                                                      54/74 
  Löschen          : wine-tahoma-fonts-2.11-1.fc25.noarch                                                  55/74 
  Löschen          : wine-alsa-2.11-1.fc25.i686                                                            56/74 
  Löschen          : wine-capi-2.11-1.fc25.i686                                                            57/74 
  Löschen          : wine-cms-2.11-1.fc25.i686                                                             58/74 
  Löschen          : wine-ldap-2.11-1.fc25.i686                                                            59/74 
  Löschen          : wine-openal-2.11-1.fc25.i686                                                          60/74 
  Löschen          : wine-opencl-2.11-1.fc25.i686                                                          61/74 
  Löschen          : wine-twain-2.11-1.fc25.i686                                                           62/74 
  Löschen          : wine-systemd-2.11-1.fc25.noarch                                                       63/74 
  Löschen          : wine-arial-fonts-2.11-1.fc25.noarch                                                   64/74 
  Löschen          : wine-courier-fonts-2.11-1.fc25.noarch                                                 65/74 
  Löschen          : wine-fixedsys-fonts-2.11-1.fc25.noarch                                                66/74 
  Löschen          : wine-marlett-fonts-2.11-1.fc25.noarch                                                 67/74 
  Löschen          : wine-ms-sans-serif-fonts-2.11-1.fc25.noarch                                           68/74 
  Löschen          : wine-small-fonts-2.11-1.fc25.noarch                                                   69/74 
  Löschen          : wine-symbol-fonts-2.11-1.fc25.noarch                                                  70/74 
  Löschen          : wine-system-fonts-2.11-1.fc25.noarch                                                  71/74 
  Löschen          : wine-wingdings-fonts-2.11-1.fc25.noarch                                               72/74 
  Löschen          : wine-core-2.11-1.fc25.i686                                                            73/74 
  Löschen          : wine-filesystem-2.11-1.fc25.noarch                                                    74/74 

                               74/74 

Zurückgesetzt:
  wine.i686 2.10-1.fc25                       wine.x86_64 2.10-1.fc25                   wine-alsa.i686 2.10-1.fc25                      wine-alsa.x86_64 2.10-1.fc25                      wine-arial-fonts.noarch 2.10-1.fc25      wine-capi.i686 2.10-1.fc25              
  wine-capi.x86_64 2.10-1.fc25                wine-cms.i686 2.10-1.fc25                 wine-cms.x86_64 2.10-1.fc25                     wine-common.noarch 2.10-1.fc25                    wine-core.i686 2.10-1.fc25               wine-core.x86_64 2.10-1.fc25            
  wine-courier-fonts.noarch 2.10-1.fc25       wine-desktop.noarch 2.10-1.fc25           wine-filesystem.noarch 2.10-1.fc25              wine-fixedsys-fonts.noarch 2.10-1.fc25            wine-fonts.noarch 2.10-1.fc25            wine-ldap.i686 2.10-1.fc25              
  wine-ldap.x86_64 2.10-1.fc25                wine-marlett-fonts.noarch 2.10-1.fc25     wine-ms-sans-serif-fonts.noarch 2.10-1.fc25     wine-openal.i686 2.10-1.fc25                      wine-openal.x86_64 2.10-1.fc25           wine-opencl.i686 2.10-1.fc25            
  wine-opencl.x86_64 2.10-1.fc25              wine-pulseaudio.i686 2.10-1.fc25          wine-pulseaudio.x86_64 2.10-1.fc25              wine-small-fonts.noarch 2.10-1.fc25               wine-symbol-fonts.noarch 2.10-1.fc25     wine-system-fonts.noarch 2.10-1.fc25    
  wine-systemd.noarch 2.10-1.fc25             wine-tahoma-fonts.noarch 2.10-1.fc25      wine-tahoma-fonts-system.noarch 2.10-1.fc25     wine-times-new-roman-fonts.noarch 2.10-1.fc25     wine-twain.i686 2.10-1.fc25              wine-twain.x86_64 2.10-1.fc25           
  wine-wingdings-fonts.noarch 2.10-1.fc25    

Komplett!
Comment 1 Michael Cronenworth 2017-07-10 13:01:03 EDT
Yes, wine-staging implemented many mouse/keyboard changes to help Grand Theft Auto 5 and Unity based games.

https://wine-staging.com/news/2017-06-27-release-2.11.html

Please report bugs with these new updates with upstream.

https://bugs.winehq.org/
Comment 2 customercare 2017-07-27 03:57:23 EDT
reported.
Comment 3 Michael Cronenworth 2017-07-28 09:37:23 EDT
Where did you report it? I searched upstream by your e-mail and did not find any results. Can you please link the bug number?
Comment 4 Fedora End Of Life 2017-11-16 13:31:02 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-12-12 05:24:56 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.